Get Safety Events Stream

This endpoint will return all safety events associated with your organization based on the parameters passed in. To get core endpoint data, select Read Safety Events & Scores under the Safety & Cameras category when creating or editing an API token. Read Camera Media permissions required to get Safety Event video media via this endpoint. If you include an endTime, the endpoint will return data up until that point. If you do not include an endTime, you can continue to poll the API real-time with the pagination cursor that gets returned on every call. Results are paginated.

Rate limit: 5 requests/sec (learn more about rate limits here).

To use this endpoint, select Read Safety Events & Scores under the Safety & Cameras category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Query Params
string
required

RFC 3339 timestamp that indicates when to begin receiving data. Value is compared against updatedAtTime or createdAtTime depending on the queryByTimeField parameter.

string

RFC 3339 timestamp. If not provided and filtering by updatedAtTime then the endpoint behaves as an unending feed of changes. If endTime is set the same as startTime, the most recent data point before that time will be returned per asset. Value is compared against updatedAtTime or createdAtTime depending on the queryByTimeField parameter.

string
enum
Defaults to updatedAtTime

Optional string that decides which field to compare against the provided time range. Valid values: updatedAtTime, createdAtTime

Allowed:
assetIds
array of strings

Optional string of comma separated asset IDs. If asset ID is present, events for the specified asset(s) will be returned. Limit of 2000 asset IDs.

assetIds
driverIds
array of strings

Optional string of comma separated driver IDs. If driver ID is present, events for the specified driver(s) will be returned. Limit of 2000 driver IDs.

driverIds
tagIds
array of strings

Optional string of comma separated tag IDs. If tag ID is present, events for the specified tag(s) will be returned. Limit of 2000 tag IDs.

tagIds
assignedCoaches
array of strings

Optional string of comma separated coach IDs to filter events assigned to a particular coach. Limit of 2000 coach IDs.

assignedCoaches
behaviorLabels
array of strings

Optional string of comma separated values to filter behavior labels. Valid values: Acceleration, AggressiveDriving, BluetoothHeadset, Braking, ContextConstructionOrWorkZone, ContextSnowyOrIcy, ContextVulnerableRoadUser, ContextWet, Crash, DefensiveDriving, DidNotYield, Drinking, Drowsy, Eating, EatingDrinking, EdgeDistractedDriving, EdgeRailroadCrossingViolation, FollowingDistance, FollowingDistanceModerate, FollowingDistanceSevere, ForwardCollisionWarning, GenericDistraction, GenericTailgating, HarshTurn, HeavySpeeding, HosViolation, Idling, Invalid, LaneDeparture, LateResponse, LeftTurn, LightSpeeding, MaxSpeed, MobileUsage, ModerateSpeeding, NearCollison, NearPedestrianCollision, NoSeatbelt, ObstructedCamera, OtherViolation, Passenger, PolicyViolationMask, ProtectiveEquipment, RanRedLight, Reversing, RollingStop, RolloverProtection, SevereSpeeding, Smoking, Speeding, UTurn, UnsafeManeuver, UnsafeParking, VulnerableRoadUserCollisionWarning, YawControl

behaviorLabels
eventStates
array of strings

Optional string of comma separated values to filter event states. Valid values: needsReview, reviewed, needsCoaching, coached, dismissed, needsRecognition, recognized

eventStates
boolean
Defaults to false

Indicates whether or not to return expanded “asset” data

boolean
Defaults to false

Indicates whether or not to return expanded “driver” data

boolean
Defaults to false

Indicates whether or not to return events that are captured by devices with only a Vehicle Gateway (VG) installed.

string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json